Skip to main content
PATCH
/
ai-agents
/
agent-builder
/
agents
/
{agentUid}
/
api-tools
/
remove
Remove API Tools from Agent
curl --request PATCH \
  --url https://{appid}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/agents/{agentUid}/api-tools/remove \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "apiTools": [
    "get_weather",
    "send_email",
    "create_task"
  ]
}
'
{
  "success": true,
  "data": {
    "uid": "agent-uuid-1234",
    "appId": "my-app-id",
    "name": "Support Agent",
    "icon": "https://example.com/icon.png",
    "isActive": true,
    "description": "A helpful support agent",
    "tools": [
      "gmail",
      "slack"
    ],
    "files": [],
    "websites": [],
    "otherKbIntegrations": [],
    "apiTools": [],
    "mcpServers": [],
    "frontendActions": [],
    "ragVersion": "v2",
    "lastMessageAt": 1700000000000,
    "instruction": "You are a helpful assistant",
    "formattedInstruction": "You are a helpful assistant",
    "metaData": {},
    "model": "gpt-4o-mini",
    "modelMetaData": {},
    "createdAt": 1700000000000,
    "updatedAt": 1700000000000
  }
}

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

agentUid
string
required

Unique identifier of the agent

Body

application/json
apiTools
string[]
required

Array of API tool slugs to add or remove

Example:
["get_weather", "send_email", "create_task"]

Response

API tools successfully removed from the agent.

success
boolean
Example:

true

data
object